"""
抖店首页数据采集
"""

from DrissionPage import Chromium


class Urls:
    home = 'https://fxg.jinritemai.com/ffa/mshop/homepage/index'


class Home:
    def __init__(self, browser: Chromium):
        self._browser = browser

    def get__shop_name(self):
        """获取店铺名称"""

        is_new_page = False
        try:
            page = self._browser.get_tab(url=Urls.home)
            page.set.activate()
        except Exception:
            page = self._browser.new_tab(Urls.home)
            is_new_page = True

        user_info: dict = page.run_js('return window.__INITIAL_USER_INFO__')
        if not user_info:
            raise RuntimeError('未找到 __INITIAL_USER_INFO__ 信息')

        if 'data' not in user_info:
            raise RuntimeError('__INITIAL_USER_INFO__ 未找到 data 字段')
        data: dict = user_info.get('data')

        shop_name = data.get('shop_name')

        if is_new_page:
            page.close()

        return shop_name
